Bug 14356 - Improvements to the 'Transfers to receive' page (branchname, mailto link)
Summary: Improvements to the 'Transfers to receive' page (branchname, mailto link)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-06 23:43 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14356: Improvements to the 'Transfers to receive' page (5.13 KB, patch)
2015-06-07 23:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14356: Improvements to the 'Transfers to receive' page (5.19 KB, patch)
2015-06-10 21:03 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14356: Improvements to the 'Transfers to receive' page (5.26 KB, patch)
2015-06-16 15:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-06-06 23:43:20 UTC
On the "transfers to your library' page the branchcode is shown instead of the branchname.
Comment 1 Katrin Fischer 2015-06-07 23:39:04 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-06-10 21:03:35 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2015-06-10 21:04:35 UTC
Bonus was tested too and succeeded :-)
Comment 4 Jonathan Druart 2015-06-16 15:45:23 UTC
Created attachment 40189 [details] [review]
Bug 14356: Improvements to the 'Transfers to receive' page

Patch makes several small changes to the template for the
'Transfers to receive page'

1) Show the branch name instead of the branchcode in the
   table of incoming transfers.

If there is a hold connected with the transfer:
2) Show the patron's name as 'surname, firstname'
   intead of 'surname  firstname'
3) Restore broken feature: Show a mailto: link with a
   generated subject of 'Hold: <title>'.

The mailto: feature actually existed in the templates, but
was broken to a misnamed database column. I made some small
changes to make the subject translatable (see bug 8330).

To test:
- Create a transfer by placing a hold with pickup at another library
- Craete a transfer manually
- Go to the circulation > transfers to receive
- Check the changes explained above, compare before and after
- Check the mailto: link works as expected

Bonus: Check the Hold: bit in the subject is really translatable now.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 5 Tomás Cohen Arazi 2015-06-22 20:49:22 UTC
Patch pushed to master.

Thanks Katrina!
Comment 6 Chris Cormack 2015-07-10 02:22:45 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 7 Liz Rea 2015-07-20 22:12:41 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 8 Mason James 2015-07-25 12:59:59 UTC
Pushed to 3.16.x, will be in 3.16.13